Java Mailing List Archive

http://www.redhatconfig.com/

Home » Gentoo Linux »

[gentoo-user] Re: emerge: touch: error while loading shared libraries: librt.so.1:
 cannot open shared object file: No such file or directory

Fred Kastl

2008-03-21

Replies: Find Java Web Hosting

Author LoginPost Reply
#### /usr/lib/portage/bin/ebuild.sh

preprocess_ebuild_env() {
     echo Touch: $(type touch)
     local filter_opts=""
     if [ -f "${T}/environment.raw" ] ; then
          # This is a signal from the python side, indicating
that the
          # environment may contain stale
SANDBOX_{DENY,PREDICT,READ,WRITE}
          # and FEATURES variables that should be filtered out.
Between
          # phases, these variables are normally preserved.
          filter_opts="--filter-sandbox --filter-features
${filter_opts}"
     fi
     filter_readonly_variables ${filter_opts} < "${T}"/environment \
          > "${T}"/environment.filtered || return $?
     unset filter_opts
     mv "${T}"/environment.filtered "${T}"/environment || return $?
     rm -f "${T}/environment.success" || return $?
     # WARNING: Code inside this subshell should avoid making
assumptions
     # about variables or functions after source "${T}"/environment
has been
     # called. Any variables that need to be relied upon should
already be
     # filtered out above.
     (
          export SANDBOX_ON=1
          source "${T}/environment" || exit $?
          # We have to temporarily disable sandbox since the
          # SANDBOX_{DENY,READ,PREDICT,WRITE} values we've just
loaded
          # may be unusable (triggering in spurious sandbox
violations)
          # until we've merged them with our current values.
          export SANDBOX_ON=0

          # It's remotely possible that save_ebuild_env() has
been overridden
          # by the above source command. To protect ourselves, we
override it
          # here with our own version. ${PORTAGE_BIN_PATH} is
safe to use here
          # because it's already filtered above.
          source "${PORTAGE_BIN_PATH}/isolated-functions.sh" ||
exit $?

          # Rely on save_ebuild_env() to filter out any remaining
variables
          # and functions that could interfere with the current
environment.
          save_ebuild_env || exit $?
          echo Touch: $(type touch)
###### touch "${T}/environment.success" || exit $?
     ) > "${T}/environment.filtered"


#### /usr/lib/portage/bin/ebuild.sh with -xv option
...

export
type touch
++ type touch
+ echo Touch: touch is /bin/touch
+ touch /var/tmp/binpkgs/media-tv/tvbrowser-2.5.3/temp/environment.success
touch: error while loading shared libraries: librt.so.1: cannot open
shared object file: No such file or directory
+ exit 127
+ local retval
....

### running touch
/var/tmp/binpkgs/media-tv/tvbrowser-2.5.3/temp/environment.success in
the console causes no error



Fred Kastl schrieb:
> hi,
>
> on every emerge --unmerge i get the following error Message:
>
> touch: error while loading shared libraries: librt.so.1: cannot open
> shared object file: No such file or directory.
>
> ### revdep-rebuild found no missing library for touch or portage.
>
> ### ldconfig -p | grep librt.so.1
>      librt.so.1 (libc6, OS ABI: Linux 2.6.9) => /lib/librt.so.1
>
> ### ll /lib/librt.so.1
> lrwxrwxrwx 1 root root 14 19. Feb 19:22 /lib/librt.so.1 -> librt-2.6.1.so
> ### ll /lib/librt-2.6.1.so
> -rwxr-xr-x 1 root root 32400 8. Nov 14:05 /lib/librt-2.6.1.so
>
> ### equery belongs /lib/librt-2.6.1.so
> [ Searching for file(s) /lib/librt-2.6.1.so in *... ]
> sys-libs/glibc-2.6.1 (/lib/librt-2.6.1.so)
>
> ### fileaccess while running emerge --unmerge
> fileaccess-dazuko /lib | grep librt
> OPEN  uid:0 pid:31995 mode:33261 flags:0 file_uid:0 file_gid:0
> file_device:0 file_size:32400 file:/lib/librt-2.6.1.so
> OPEN  uid:0 pid:32002 mode:33261 flags:0 file_uid:0 file_gid:0
> file_device:0 file_size:32400 file:/lib/librt-2.6.1.so
>
> can anyone help ?
>
> regards
>
> Fred
>
> emerge --unmerge app-admin/gnomesu
>
> >>> These are the packages that would be unmerged:
>
> app-admin/gnomesu
>   selected: 0.3.1
>   protected: none
>    omitted: none
>
> >>> 'Selected' packages are slated for removal.
> >>> 'Protected' and 'omitted' packages will not be removed.
>
> Would you like to unmerge these packages? [Yes/No] y
> >>> Waiting 5 seconds before starting...
> >>> (Control-C to abort)...
> >>> Unmerging in: 5 4 3 2 1
> >>> Unmerging app-admin/gnomesu-0.3.1...
> touch: error while loading shared libraries: librt.so.1: cannot open
> shared object file: No such file or directory
>
> *
> * ERROR: media-tv/tvbrowser-2.5.3 failed.
> * Call stack:
> *          ebuild.sh, line 1641: Called die
> * The specific snippet of code:
> *    preprocess_ebuild_env || \
> *         die "error processing environment"
> * The die message:
> *  error processing environment
> *
> * If you need support, post the topmost build error, and the call stack
> if relevant.
> * A complete build log is located at
> '/var/tmp/binpkgs/media-tv/tvbrowser-2.5.3/temp/build.log'.
> * The ebuild environment file is located at
> '/var/tmp/binpkgs/media-tv/tvbrowser-2.5.3/temp/environment'.
> *
> !!! FAILED prerm: 1
> * The 'prerm' phase of the 'media-tv/tvbrowser-2.5.3' package has failed
> * with exit value 1. The problem occurred while executing the ebuild
> * located at '/var/db/pkg/media-
> * tv/tvbrowser-2.5.3/tvbrowser-2.5.3.ebuild'. If necessary, manually
> * remove the ebuild in order to skip the execution of removal phases.
>
>
> ### and ####
>
>
> emerge --unmerge media-tv/tvbrowser
>
> >>> These are the packages that would be unmerged:
>
> media-tv/tvbrowser
>   selected: 2.5.3 2.6.3
>   protected: none
>    omitted: none
>
> >>> 'Selected' packages are slated for removal.
> >>> 'Protected' and 'omitted' packages will not be removed.
>
> Would you like to unmerge these packages? [Yes/No] y
> >>> Waiting 5 seconds before starting...
> >>> (Control-C to abort)...
> >>> Unmerging in: 5 4 3 2 1
> >>> Unmerging media-tv/tvbrowser-2.5.3...
> touch: error while loading shared libraries: librt.so.1: cannot open
> shared object file: No such file or directory
> *
> * ERROR: media-tv/tvbrowser-2.5.3 failed.
> * Call stack:
> *          ebuild.sh, line 1641: Called die
> * The specific snippet of code:
> *    preprocess_ebuild_env || \
> *         die "error processing environment"
> * The die message:
> *  error processing environment
> *
> * If you need support, post the topmost build error, and the call stack
> if relevant.
> * A complete build log is located at
> '/var/tmp/binpkgs/media-tv/tvbrowser-2.5.3/temp/build.log'.
> * The ebuild environment file is located at
> '/var/tmp/binpkgs/media-tv/tvbrowser-2.5.3/temp/environment'.
> *
> !!! FAILED prerm: 1
> * The 'prerm' phase of the 'media-tv/tvbrowser-2.5.3' package has failed
> * with exit value 1. The problem occurred while executing the ebuild
> * located at '/var/db/pkg/media-
> * tv/tvbrowser-2.5.3/tvbrowser-2.5.3.ebuild'. If necessary, manually
> * remove the ebuild in order to skip the execution of removal phases.
>
>

--
gentoo-user@(protected)

©2008 redhatconfig.com - Jax Systems, LLC, U.S.A.